/*
 * Copyright 2009-2010 Nanjing RedOrange ltd (http://www.red-orange.cn)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package redora.client;

import redora.client.util.Field;

/**
 * The fields of an object used in different scopes. In the model per field this can be set manually and by
 * default Redora will select logical field for each scope.
 * @author Nanjing RedOrange (www.red-orange.cn)
 */
public interface Fields {
    /** @return Used in table layout. */
    Field[] tableFields();
    /** @return All the fields. */
    Field[] fields();
    /** @return Table fields and all the related collections.*/
    Field[] tableAndSetFields();
    /** @return Fields to be displayed in a drop down list. */
    Field[] listFields();
    /** @return Related collections. */
    Field[] setFields();
}
